/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.monitor.stats.lb;

// 
// This interface is the intersection of all generated methods.
// 

public interface CommonBean {
	public void changePropertyByName(String name, Object value);

	public com.sun.enterprise.admin.monitor.stats.lb.CommonBean[] childBeans(boolean recursive);

	public void childBeans(boolean recursive, java.util.List beans);

	public boolean equals(Object o);

	public Object fetchPropertyByName(String name);

	public int hashCode();

	public void readNode(org.w3c.dom.Node node);

	public String toString();

	public void validate() throws com.sun.enterprise.admin.monitor.stats.lb.LoadBalancerStats.ValidateException;

	public void writeNode(java.io.Writer out, String nodeName, String indent) throws java.io.IOException;

}
